summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-03-27 19:58:15 +0100
committerHolger Levsen <holger@layer-acht.org>2015-03-27 19:58:15 +0100
commit3a85240bac445214e103be50be6c3c36313b284f (patch)
tree844a71bb38566f9c4b5f9de6561c2d518cb344d5 /bin/reproducible_build.sh
parent44704d7598b359cf50fc987a45395ba92c4763bc (diff)
downloadjenkins.debian.net-3a85240bac445214e103be50be6c3c36313b284f.tar.xz
reproducible: dont claim to save artifacts for not-for-us, 404 or ftbfs
Diffstat (limited to 'bin/reproducible_build.sh')
-rwxr-xr-xbin/reproducible_build.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 2b94ae35..9c743916 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -36,6 +36,9 @@ cleanup_all() {
echo "https://reproducible.debian.net/$ARTIFACTS" | tee -a ${RBUILDLOG}
echo | tee -a ${RBUILDLOG}
kgb-client --conf /srv/jenkins/kgb/debian-reproducible.conf --relay-msg "https://reproducible.debian.net/$ARTIFACTS/ published" || true # don't fail the whole job
+ elif [ "$SAVE_ARTIFACTS" = "2" ] ; then
+ echo "No artifacts were saved for this build." | tee -a ${RBUILDLOG}
+ kgb-client --conf /srv/jenkins/kgb/debian-reproducible.conf --relay-msg "Check $REPRODUCIBLE_URL/rbuild/${SUITE}/${ARCH}/${SRCPACKAGE}_${EVERSION}.rbuild.log to find out why no artifacts were saved." || true # don't fail the whole job
fi
rm -r $TMPDIR $TMPCFG
}
@@ -204,6 +207,7 @@ else
set +x
echo "Warning: Maybe there was a network problem, or ${SRCPACKAGE} is not a source package in ${SUITE}, or was removed or renamed. Please investigate." | tee -a ${RBUILDLOG}
update_db_and_html
+ SAVE_ARTIFACTS=2
exit 0
else
VERSION=$(grep "^Version: " ${SRCPACKAGE}_*.dsc| head -1 | egrep -v '(GnuPG v|GnuPG/MacGPG2)' | cut -d " " -f2-)
@@ -242,6 +246,7 @@ else
set +x
echo "Package ${SRCPACKAGE} (${VERSION}) shall only be build on \"$(echo "${ARCHITECTURES}" | xargs echo )\" and thus was skipped." | tee -a ${RBUILDLOG}
update_db_and_html
+ SAVE_ARTIFACTS=2
exit 0
fi
set +e
@@ -299,6 +304,7 @@ else
sqlite3 -init $INIT ${PACKAGES_DB} "REPLACE INTO results (package_id, version, status, build_date, build_duration) VALUES ('${SRCPKGID}', '${VERSION}', 'FTBFS', '$DATE', '$DURATION')"
sqlite3 -init $INIT ${PACKAGES_DB} "INSERT INTO stats_build (name, version, suite, architecture, status, build_date, build_duration) VALUES ('${SRCPACKAGE}', '${VERSION}', '${SUITE}', '${ARCH}', 'FTBFS', '${DATE}', '${DURATION}')"
update_db_and_html
+ SAVE_ARTIFACTS=2
fi
fi